## horizon 24.0.2

=== debian/changelog ===
horizon (3:24.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Refreshed make-neutron-port-range-work-with-victoria.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:03:27 +0000

horizon (3:24.0.0-3) unstable; urgency=medium

  * Add Allow_non-admins_to_cold_migrate_instances.patch.
  * Add make-neutron-port-range-work-with-victoria.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Jul 2024 09:25:36 +0200

=== debian/control ===
Source: horizon
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 gettext,
 python3-babel,
 python3-cinderclient,
 python3-coverage <!nocheck>,
 python3-debtcollector,
 python3-django (>= 3.4.2.0),
 python3-django-compressor (>= 4.4),
 python3-django-debreach,
 python3-django-pyscss (>= 2.0.3),
 python3-enmerkar,
 python3-freezegun,
 python3-futurist,
 python3-glanceclient,
 python3-hacking <!nocheck>,
 python3-iso8601 <!nocheck>,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-netaddr <!nocheck>,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pep8 <!nocheck>,
 python3-pymemcache,
 python3-pymongo <!nocheck>,
 python3-pyscss,
 python3-pytest,
 python3-pytest-django,
 python3-pytest-xdist,
 python3-redis,
 python3-requests,
 python3-selenium <!nocheck>,
 python3-semantic-version,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools <!nocheck>,
 python3-tz <!nocheck>,
 python3-xstatic (>= 1.0.3),
 python3-xstatic-angular,
 python3-xstatic-angular-bootstrap,
 python3-xstatic-angular-fileupload,
 python3-xstatic-angular-gettext,
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form,
 python3-xstatic-angular-ui-router,
 python3-xstatic-bootstrap-datepicker,
 python3-xstatic-bootstrap-scss,
 python3-xstatic-bootswatch,
 python3-xstatic-d3,
 python3-xstatic-font-awesome,
 python3-xstatic-hogan,
 python3-xstatic-jasmine,
 python3-xstatic-jquery (>= 3.5.1.1),
 python3-xstatic-jquery-migrate (>= 3),
 python3-xstatic-jquery-ui,
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter,
 python3-xstatic-jsencrypt,
 python3-xstatic-magic-search,
 python3-xstatic-mdi,
 python3-xstatic-objectpath,
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface,
 python3-xstatic-smart-table,
 python3-xstatic-spin,
 python3-xstatic-term.js,
 python3-xstatic-tv4,
 python3-xvfbwrapper,
 python3-yaml <!nocheck>,
Build-Conflicts:
 python3-django-openstack-auth,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/horizon
Vcs-Git: https://salsa.debian.org/openstack-team/services/horizon.git
Homepage: https://horizon.openstack.org

Package: horizon-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 libjs-jquery,
 libjs-jquery-cookie,
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 memcached,
 openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends:
 apache2,
 debconf,
 libapache2-mod-wsgi-py3,
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-cinderclient,
 python3-debtcollector,
 python3-django (>= 3.4.2.0),
 python3-django-compressor (>= 4.4),
 python3-django-debreach,
 python3-django-pyscss (>= 2.0.3),
 python3-enmerkar,
 python3-futurist,
 python3-glanceclient,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 python3-pymemcache,
 python3-pymongo,
 python3-pyscss,
 python3-redis,
 python3-requests,
 python3-semantic-version,
 python3-swiftclient,
 python3-tz,
 python3-xstatic (>= 1.0.3),
 python3-xstatic-angular,
 python3-xstatic-angular-bootstrap,
 python3-xstatic-angular-fileupload,
 python3-xstatic-angular-gettext,
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form,
 python3-xstatic-angular-ui-router,
 python3-xstatic-bootstrap-datepicker,
 python3-xstatic-bootstrap-scss,
 python3-xstatic-bootswatch,
 python3-xstatic-d3,
 python3-xstatic-font-awesome,
 python3-xstatic-hogan,
 python3-xstatic-jasmine,
 python3-xstatic-jquery (>= 3.5.1.1),
 python3-xstatic-jquery-migrate (>= 3),
 python3-xstatic-jquery-ui,
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter,
 python3-xstatic-jsencrypt,
 python3-xstatic-magic-search,
 python3-xstatic-mdi,
 python3-xstatic-objectpath,
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface,
 python3-xstatic-smart-table,
 python3-xstatic-spin,
 python3-xstatic-term.js,
 python3-xstatic-tv4,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-django-openstack-auth,
Suggests:
 memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

## horizon 25.1.0

=== requirements.txt ===
# Note: Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so there is no guarantee of having them all correct.
# if you find any incorrect lower bounds, let us know or propose a fix.
pbr>=5.5.0 # Apache-2.0

# Horizon Core Requirements
Babel>=2.6.0 # BSD
Django>=4.2,<4.3 # BSD
django-compressor>=4.4 # MIT
django-debreach>=1.4.2 # BSD License (2 clause)
django-pyscss>=2.0.3 # BSD License (2 clause)
futurist>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
keystoneauth1>=4.3.1 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=4.5.0 # Apache-2.0
oslo.config>=8.8.0 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.policy>=3.11.0 # Apache-2.0
oslo.serialization>=4.3.0 # Apache-2.0
oslo.upgradecheck>=1.5.0 # Apache-2.0
oslo.utils>=4.12.0 # Apache-2.0
osprofiler>=3.4.2 # Apache-2.0
pyScss>=1.4.0 # MIT License
python-cinderclient>=8.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-neutronclient>=8.1.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
PyYAML>=6.0 # MIT
requests>=2.25.1 # Apache-2.0
semantic-version>=2.3.1 # BSD
tzdata>=2022.4
XStatic>=1.0.3 # MIT License
XStatic-Angular>=1.8.2.2 # MIT License
XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
XStatic-Angular-FileUpload>=12.0.4.0 # MIT License
XStatic-Angular-Gettext>=2.3.8.0 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Angular-Schema-Form>=0.8.13.0 # MIT
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3.3.7.1 # Apache 2.0 License
XStatic-bootswatch>=3.3.7.0 # MIT License
XStatic-D3>=3.5.17.0 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.7.0.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.4.1.1 # MIT License
XStatic-jQuery>=3.5.1.1 # MIT License
XStatic-JQuery-Migrate>=3 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.2 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.13.0.1 # MIT License
XStatic-JSEncrypt>=2.3.1.1 # MIT License
XStatic-mdi>=1.6.50.2 # SIL OPEN FONT LICENSE Version 1.1
XStatic-objectpath>=1.2.1.0 # MIT
XStatic-Rickshaw>=1.5.0.0 # BSD License (prior)
XStatic-roboto-fontface>=0.5.0.0 # Apache 2.0 License
XStatic-smart-table>=1.4.13.2 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.7.0 # MIT License
XStatic-tv4>=1.2.7.0 # MIT

# enmerkar is not a runtime requirement.
# It is only required when extracting translation strings.
# Most horizon plugins do not have enmerkar in their requirements.txt
# and they depends on horizon requirements, so we keep it here.
enmerkar>=0.7.1 # BSD

=== debian/changelog ===
horizon (3:25.1.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090420).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:47:14 +0100

horizon (3:25.1.0-4) unstable; urgency=medium

  * Attempt to fix serial_console.scss instead of removing serial_console.html:
    - Add fix-serial_console.scss.patch
    - Comment removal of serial_console.html

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Nov 2024 13:35:33 +0100

horizon (3:25.1.0-3) unstable; urgency=medium

  * Updated Catalan translation of horizon's debconf messages.
  * Delete serial_console.html that looks like the cause of crashing
    compress (Closes: #1069097).

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Nov 2024 14:53:12 +0100

horizon (3:25.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:30:02 +0200

horizon (3:25.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 16:24:21 +0200

horizon (3:25.0.0-2) experimental; urgency=medium

  * Blacklist ProjectsViewNonAdminTests::test_index and
    openstack_dashboard/test/unit/api/rest/test_policy.py as they are failing
    when backporting.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 12:39:13 +0200

horizon (3:25.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 15:52:52 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python3-babel,
  python3-cinderclient,
  python3-coverage <!nocheck>,
- python3-debtcollector,
  python3-django (>= 3.4.2.0),
  python3-django-compressor (>= 4.4),
  python3-django-debreach,
@@ -47,7 +46,6 @@
  python3-osprofiler,
  python3-pep8 <!nocheck>,
  python3-pymemcache,
- python3-pymongo <!nocheck>,
  python3-pyscss,
  python3-pytest,
  python3-pytest-django,
@@ -155,7 +153,6 @@
 Depends:
  python3-babel,
  python3-cinderclient,
- python3-debtcollector,
  python3-django (>= 3.4.2.0),
  python3-django-compressor (>= 4.4),
  python3-django-debreach,
@@ -179,7 +176,6 @@
  python3-osprofiler,
  python3-pbr,
  python3-pymemcache,
- python3-pymongo,
  python3-pyscss,
  python3-redis,
  python3-requests,

## horizon 25.1.1

=== debian/changelog ===
horizon (3:25.1.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Wed, 24 Sep 2025 10:16:16 +0000

horizon (3:25.1.0-7) unstable; urgency=medium

  [ Santiago Vila ]
  * Drop extra semicolon and add missing newline at the end
    of serial_console.scss.
  * Make openstack-dashboard postinst to try the compress operation several
    times, as it seems to fail in a purely random way (Closes: #1069097).

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jan 2025 08:18:45 +0100

horizon (3:25.1.0-6) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 09:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
  python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-osprofiler,
- python3-pep8 <!nocheck>,
  python3-pymemcache,
  python3-pyscss,
  python3-pytest,

## horizon 25.2.0+git2025030311.1252f1c09

=== debian/changelog ===
horizon (4:25.2.0+git2025030311.1252f1c09-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Refresh xstatic assets.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 17:26:46 +0000

horizon (4:25.1.0+git2025011509.94e1562c4-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * Refresh xstatic assets.
  * d/p/*: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Jan 2025 15:53:44 +0000

horizon (4:25.1.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * Refresh xstatic assets.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 10:54:09 +0100

horizon (4:25.0.0+git2024080809.d171cee3-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - Refresh xstatic assets.
    - d/p/lp1728031.patch: removed. patch was merged to upstream.
    - d/p/lp2054799.patch: removed. patch was merged to upstream.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 14 Aug 2024 09:27:11 +0100

horizon (4:24.0.0-0ubuntu3) oracular; urgency=medium

  * d/u/_styles.scss: use static_url variable instead of absolute path
    (LP: #2067632).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 11 Jul 2024 11:03:18 +0100

horizon (4:24.0.0-0ubuntu2) oracular; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1728031.patch: Fix admin unable to reset user's password.
    (LP: #1728031)

  [ Zhang Hua ]
  * d/p/lp2054799.patch: Fix Users/Groups tab list when a domain
    context is set. (LP: #2054799)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 04 Jun 2024 16:52:08 -0300

## horizon 25.3.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Django>=4.2,<4.3 # BSD
 django-compressor>=4.4 # MIT
 django-debreach>=1.4.2 # BSD License (2 clause)
-django-pyscss>=2.0.3 # BSD License (2 clause)
 futurist>=1.2.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 keystoneauth1>=4.3.1 # Apache-2.0
@@ -19,9 +18,9 @@
 oslo.policy>=3.11.0 # Apache-2.0
 oslo.serialization>=4.3.0 # Apache-2.0
 oslo.upgradecheck>=1.5.0 # Apache-2.0
-oslo.utils>=4.12.0 # Apache-2.0
+oslo.utils>=7.0.0 # Apache-2.0
 osprofiler>=3.4.2 # Apache-2.0
-pyScss>=1.4.0 # MIT License
+libsass>=0.23.0 # MIT
 python-cinderclient>=8.0.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
doc8>=0.8.1 # Apache-2.0

# The below is rewquired to build testing module reference
mock>=2.0.0 # BSD
pytest>=5.3.5 # MIT

=== debian/changelog ===
horizon (4:25.3.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * Repackaging xstatic assets tarball (no change) for the Epoxy upload.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 20 Mar 2025 07:49:13 -0700

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.6.0),
 python3-cinderclient (>= 1:8.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 4.2),
 python3-django-compressor (>= 4.4),
 python3-django-debreach (>= 1.4.2),
 python3-enmerkar (>= 0.7.1),
 python3-freezegun (>= 0.3.15),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 4.3.1),
 python3-keystoneclient (>= 1:3.22.0),
 python3-libsass (>= 0.23.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:8.1.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.8.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.serialization (>= 4.3.0),
 python3-oslo.upgradecheck (>= 1.5.0),
 python3-oslo.utils (>= 7.0.0),
 python3-osprofiler (>= 3.4.2),
 python3-pint (>= 0.5),
 python3-pymemcache (>= 4.0.0),
 python3-pymongo (>= 3.0.2),
 python3-pytest (>= 5.3.5),
 python3-pytest-django (>= 3.8.0),
 python3-requests (>= 2.25.1),
 python3-selenium (>= 2.50.1),
 python3-semantic-version (>= 2.3.1),
 python3-swiftclient (>= 1:3.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 6.0),
Standards-Version: 4.6.1
Homepage: https://launchpad.net/horizon
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3 (>= 2.3),
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Description: Django web interface for OpenStack - common files
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.
 .
 This package provides common files.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 openstack-dashboard-common (= ${binary:Version}),
 python3-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack (Python 3)
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.
 .
 This package provides the Python 3 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-babel (>= 2.6.0),
 python3-cinderclient (>= 1:8.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 4.2),
 python3-django-compressor (>= 4.4),
 python3-django-debreach (>= 1.4.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 4.3.1),
 python3-keystoneclient (>= 1:3.22.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:8.1.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.8.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.serialization (>= 4.3.0),
 python3-oslo.upgradecheck (>= 1.5.0),
 python3-oslo.utils (>= 7.0.0),
 python3-osprofiler (>= 3.4.2),
 python3-pbr (>= 5.5.0),
 python3-pint (>= 0.5),
 python3-pymemcache,
 python3-pymongo (>= 3.0.2),
 python3-requests (>= 2.25.1),
 python3-semantic-version (>= 2.3.1),
 python3-swiftclient (>= 1:3.2.0),
 python3-yaml (>= 6.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-openstack-auth,
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3 module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon/ horizon-(25\.\d.*)\.tar\.gz

## horizon 25.3.1

=== debian/changelog ===
horizon (3:25.3.1-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 09:38:56 +0000

horizon (3:25.3.0-3) unstable; urgency=medium

  * Refreshed:
    Dont_load_user_role_assignment_or_groups_tabs_for_non-admins.patch.
  * Add do-not-import-enabled-if-no-plugins.patch (Closes: #1108931).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jul 2025 11:09:04 +0200

horizon (3:25.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:05:05 +0100

horizon (3:25.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 18:17:11 +0100

## horizon 25.4.0+git2025070714.33cbc0c53

=== debian/changelog ===
horizon (4:25.4.0+git2025070714.33cbc0c53-0ubuntu2) questing; urgency=medium

  * d/control: Drop python-qrcode (universe).

 -- Myles Penner <myles.penner@canonical.com>  Tue, 02 Sep 2025 07:38:58 -0700

horizon (4:25.4.0+git2025070714.33cbc0c53-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * d/control: update maintainer to Ubuntu Devel

  [ Myles Penner ]
  * Refresh xstatic assets.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/ubuntu_settings.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Explictly copy non-python files due to upstream change to
    setup.cfg.
  * d/p/replace-django-datetime_safe-usage.patch: Replace datetime_safe
    in test files to support Django 5.
  * d/p/use-JSONSessionSerializer-for-django-5.patch: Replace use of
    PickleSerializer for Django 5 compatibility.
    (Cherry-picked from lvoytek/add-django-5-support-questing
  * Flamingo feature freeze exception (LP: #2121258)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 29 Jul 2025 15:27:38 -0700

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python3 --buildsystem=pybuild

PY3VER=python3
PYTHON3S:=\$(shell py3versions -vr)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

override_dh_auto_clean:
	find . -name "django*.mo" -delete || :
	rm -f horizon/xstatic
	dh_auto_clean
	rm -f horizon/openstack_dashboard/local/.secret_key_store

override_dh_auto_build:
	# NOTE(jamespage) this is a little horrible but works around
	# the switch to /var/lib/openstack once installed for lockfiles
	ln -sf ../xstatic horizon/xstatic
	patch -p1 -R <debian/patches/ubuntu_settings.patch
	python3 ./manage.py compilemessages
	patch -p1 <debian/patches/ubuntu_settings.patch
	dh_auto_build

override_dh_auto_install:
	# NOTE(jamespage):
	# This looks odd but it forces a re-generation of SOURCES.txt
	# to include the mo files generated during compilemessages
	# in override_dh_auto_build to ensure that they get installed
	# into binary packages.
	rm -f horizon.egg-info/SOURCES.txt
	# install horizon and dashboard
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done

	# Remove temporary build-time symlink before copying.
	rm -f horizon/xstatic

	# The change to setup.cfg is unreliable for non-python files.
	# Copy the entire package directories from source to the destination
	# to ensure all non-python files are included.
	cp -r horizon $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/
	cp -r openstack_dashboard $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/

	# install vendorfied xstatic assets
	cp -r xstatic $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/horizon

	# Install the ubuntu theme into its own subdirectory
	install -d $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/themes
	cp -r debian/theme/ubuntu $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/themes/
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf-available

	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py

	# NOTE(jamespage): Link local_settings.py to both py version locations
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/local/local_settings.py

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Skip tests
	:
endif

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

## horizon 25.5.0

=== debian/changelog ===
horizon (3:25.5.0-4) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.
  * Rebased fixed-horizon-MANIFEST.in.patch.
  * Removed Allow_non-admins_to_cold_migrate_instances.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 08:20:12 +0200

## horizon 25.5.1

=== requirements.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
 oslo.utils>=7.0.0 # Apache-2.0
 osprofiler>=3.4.2 # Apache-2.0
 libsass>=0.23.0 # MIT
+Pillow>=9.1.0 # PIL License
 python-cinderclient>=8.0.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0
@@ -28,6 +29,7 @@
 python-novaclient>=9.1.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 PyYAML>=6.0 # MIT
+qrcode>=8.2 # BSD
 requests>=2.25.1 # Apache-2.0
 semantic-version>=2.3.1 # BSD
 tzdata>=2022.4

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
doc8>=0.8.1 # Apache-2.0

# The below is rewquired to build testing module reference
mock>=2.0.0 # BSD
pytest>=5.3.5 # MIT

=== debian/changelog ===
horizon (4:25.5.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/p/fix-horizon-test-settings.patch: Refresh.
  * d/p/ubuntu_settings.patch: Refresh.
  * d/p/use-JSONSessionSerializer-for-django-5.patch: Refresh.
  * Refresh xstatic assets.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 09:25:26 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: horizon
 Section: net
 Priority: extra
-Maintainer: Chuck Short <zulcss@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -30,7 +30,7 @@
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:8.1.0),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 2.2.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.concurrency (>= 4.5.0),
  python3-oslo.config (>= 1:8.8.0),
  python3-oslo.i18n (>= 5.1.0),

=== debian/tests/control ===
Tests:
 install,
Depends:
 @,
Restrictions:
 needs-root,

## horizon 25.5.1+git2026012819.479212220

=== debian/changelog ===
horizon (4:25.5.1+git2026012819.479212220-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * Refresh xstatic assets.
  * d/bundle-xstatic.sh: Remove auto-extract and auto-commit; script now
    only creates the tarball for use with gbp import-orig.
  * d/gbp.conf: Add component=xstatic to import-origin and buildpackage.
  * d/README.source: Document xstatic component tarball workflow.
  * d/p/*: Refresh patches.
  * New upstream snapshot for OpenStack Gazpacho (LP: #2137590).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 28 Jan 2026 20:17:35 -0800

## horizon 2012.1~e1

=== debian/control ===
Source: horizon
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools
Standards-Version: 3.9.2
Homepage: http://launchpad.net/horizon
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/horizon.git

Package: python-django-horizon
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, quantum-client, python-glance, python-mox, python-dateutil
Description: Django module to provide web interaction with OpenStack
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-django-horizon, python-django, python-openstackx, python-openstack-compute, python-django-nose, python-keystoneclient, python-cloudfiles
Description: OpenStack Dashboard
 The OpenStack Dashboard is a Web application allowing to control an
 OpenStack cloud.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

SOURCE_DIRS=horizon openstack-dashboard

override_dh_auto_build:
	dh_auto_build
	for d in $(SOURCE_DIRS); \
	do \
		cd $(CURDIR)/$$d && python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	for d in $(SOURCE_DIRS); \
	do \
		cd $(CURDIR)/$$d && python setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp; \
	done
	# Actually the setup.py from openstack-dashboard does not install anything…
	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	cp -a $(CURDIR)/openstack-dashboard/dashboard $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	cp -a $(CURDIR)/openstack-dashboard/local $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	cp $(CURDIR)/openstack-dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/settings.py
	ln -s /etc/openstack-dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/local/local_settings.py

override_dh_auto_clean:
	dh_auto_clean
	for d in $(SOURCE_DIRS); \
	do \
		cd $(CURDIR)/$$d && python setup.py clean; \
	done
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon/horizon/*.pyc
	rm -rf $(CURDIR)/horizon/horizon.egg-info
	rm -rf $(CURDIR)/openstack-dashboard/openstack_dashboard.egg-info

## horizon 2012.1~e2

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 Package: openstack-dashboard
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-django-horizon, python-django, python-openstackx, python-openstack-compute, python-django-nose, python-keystoneclient, python-cloudfiles
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-django-horizon, python-django, python-openstackx, python-django-nose, python-keystoneclient, python-cloudfiles
 Description: OpenStack Dashboard
  The OpenStack Dashboard is a Web application allowing to control an
  OpenStack cloud.

=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,21 @@
 
 SOURCE_DIRS=horizon openstack-dashboard
 
+# Add -B so we do not pollute the source tree
+PYTHON=python -B
+
 override_dh_auto_build:
 	dh_auto_build
 	for d in $(SOURCE_DIRS); \
 	do \
-		cd $(CURDIR)/$$d && python setup.py build; \
+		cd $(CURDIR)/$$d && $(PYTHON) setup.py build; \
 	done
 
 override_dh_auto_install:
 	dh_auto_install
 	for d in $(SOURCE_DIRS); \
 	do \
-		cd $(CURDIR)/$$d && python setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp; \
+		cd $(CURDIR)/$$d && $(PYTHON) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp; \
 	done
 	# Actually the setup.py from openstack-dashboard does not install anything…
 	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
@@ -30,9 +33,8 @@
 	dh_auto_clean
 	for d in $(SOURCE_DIRS); \
 	do \
-		cd $(CURDIR)/$$d && python setup.py clean; \
+		cd $(CURDIR)/$$d && $(PYTHON) setup.py clean; \
 	done
 	rm -rf $(CURDIR)/horizon/build
-	rm -rf $(CURDIR)/horizon/horizon/*.pyc
 	rm -rf $(CURDIR)/horizon/horizon.egg-info
 	rm -rf $(CURDIR)/openstack-dashboard/openstack_dashboard.egg-info

## horizon 2012.1~e3

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 Package: openstack-dashboard
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-django-horizon, python-django, python-openstackx, python-django-nose, python-keystoneclient, python-cloudfiles
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-django-horizon, python-django, python-openstackx, python-django-nose, python-keystoneclient, python-cloudfiles, libjs-jquery
 Description: OpenStack Dashboard
  The OpenStack Dashboard is a Web application allowing to control an
  OpenStack cloud.

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,9 @@
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
 	cp $(CURDIR)/openstack-dashboard/local/local_settings.py.example \
 		$(CURDIR)/debian/tmp/etc/openstack-dashboard/settings.py
+	cp $(CURDIR)/openstack-dashboard/manage.py \
+		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py
+
 	ln -s /etc/openstack-dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/local/local_settings.py
 
 override_dh_auto_clean:

## horizon 2012.1~e4

=== debian/control ===
Source: horizon
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools
Standards-Version: 3.9.4
Homepage: http://launchpad.net/horizon
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/horizon.git

Package: python-django-horizon
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-quantumclient,
 python-glance,
 python-mox,
 python-dateutil
Description: Django module to provide web interaction with OpenStack
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-django-horizon,
 python-django,
 python-openstackx,
 python-django-nose,
 python-keystoneclient,
 python-cloudfiles,
 libjs-jquery
Description: OpenStack Dashboard
 The OpenStack Dashboard is a Web application allowing to control an
 OpenStack cloud.

Package: openstack-dashboard-apache
Architecture: all
Depends: libapache2-mod-wsgi (>=2.3)
Description: OpenStack Dashboard - Apache support
 The OpenStack Dashboard is a Web application allowing to control an
 OpenStack cloud.
 This package includes the configuration files to use within apache.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb
	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard


	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

	# openstack-dashboard-apache
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/sites-available/
	cp -a $(CURDIR)/debian/openstack-dashboard-apache.conf $(CURDIR)/debian/tmp/etc/apache2/sites-available/openstack-dashboard

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info

## horizon 2012.1~rc1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe@debian.org>
+           Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 8.0.0), python, python-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.3
 Homepage: http://launchpad.net/horizon
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/horizon.git
@@ -35,14 +35,18 @@
  python-django-nose,
  python-keystoneclient,
  python-cloudfiles,
- libjs-jquery
+ libjs-jquery,
+ python-iso8601,
+ adduser
 Description: OpenStack Dashboard
  The OpenStack Dashboard is a Web application allowing to control an
  OpenStack cloud.
 
 Package: openstack-dashboard-apache
 Architecture: all
-Depends: libapache2-mod-wsgi (>=2.3)
+Depends: libapache2-mod-wsgi (>=2.3),
+ openstack-dashboard,
+ ${misc:Depends}
 Description: OpenStack Dashboard - Apache support
  The OpenStack Dashboard is a Web application allowing to control an
  OpenStack cloud.

## horizon 2012.1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_install:
	# install horizon and dashboard
	python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/quantum
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf.d
	
	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	
	touch $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/quantum/__init__.py
	touch $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/quantum/client.py
	cp -a $(CURDIR)/debian/openstack-dashboard.conf $(CURDIR)/debian/tmp/etc/apache2/conf.d
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
	cp $(CURDIR)/debian/theme/juju.png \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/img/juju.png


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. bash run_tests.sh -N
endif

override_dh_auto_clean:
	dh_clean
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## horizon 2012.1.1

=== debian/changelog ===
horizon (2012.1.1-10) unstable; urgency=low

  * Added patch: Launch from volume with valid volume size. Thanks to Julien
    Cristau <julien.cristau@logilab.fr> for reporting (Closes: 699906).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Feb 2013 17:50:55 +0800

horizon (2012.1.1-9) unstable; urgency=high

  * Re-uploading with urgency=high.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Nov 2012 15:09:51 +0000

horizon (2012.1.1-8) unstable; urgency=low

  * Syntax error in debian/openstack-dashboard.postinst (Closes: #693479).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Nov 2012 03:59:08 +0000

horizon (2012.1.1-7) unstable; urgency=high

  * CVE-2012-5474: The file /etc/openstack-dashboard/local_settings is not
  world readable anymore (Closes: #693287).

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Nov 2012 08:47:18 +0000

horizon (2012.1.1-6) unstable; urgency=low

  * Keyerror when displaying Instances & Volumes:
  replace the name of a missing instance with UNKNOWN (Closes: #688254).

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 21 Sep 2012 14:49:12 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb
	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard


	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

	# openstack-dashboard-apache
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/sites-available/
	cp -a $(CURDIR)/debian/openstack-dashboard-apache.conf $(CURDIR)/debian/tmp/etc/apache2/sites-available/openstack-dashboard

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info

get-vcs-source:
	git remote add upstream git://github.com/openstack/horizon.git || true
	git fetch upstream
	git archive --prefix=horizon-2012.1.1/ 2012.1.1 | xz >../horizon_2012.1.1.orig.tar.xz
	if ! git checkout master ; then \
		echo "No upstream branch: checking out" ; \
		git checkout -b master upstream/master ; \
	fi
	git checkout debian/unstable

=== debian/watch ===
version=3
http://launchpad.net/horizon/+download http://launchpad.net/horizon/.*/horizon-(.*)\.tar\.gz
http://horizon.openstack.org/tarballs/ horizon-(.*).tar.gz

## horizon 2012.1.3%2bstable%7e20120815-691dd2

=== debian/changelog ===
horizon (2012.1.3+stable~20120815-691dd2-0ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: open redirect / phishing attack via "next"
    parameter (LP: #1039077)
    - debian/patches/CVE-2012-3540.patch: disallow redirects to anywhere
      other than the same origin
    - CVE-2012-3540

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 30 Aug 2012 17:15:04 -0700

horizon (2012.1.3+stable~20120815-691dd2-0ubuntu1) precise-proposed; urgency=low

  [ Chuck Short ]
  * New upstream release (LP: #1041120):
    - 9b22d6 - Fixed validation check for ICMP rules. (LP: #997669)
  * Dropped:
    - debian/patches/CVE-2012-2094.patch: No longer needed.
    - debian/patches/CVE-2012-2144.patch: No longer needed.

   [ Adam Gandelman ]
   * debian/patches/juju_panel-handle_catalog_exception.patch: Gracefully handle
    missing endpoints in Keystone catalog during Juju environmnets.yaml
    generation. (LP: #1033920)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 24 Aug 2012 03:27:33 -0500

horizon (2012.1-0ubuntu8.1) precise-security; urgency=low

  * SECURITY UPDATE: fix XSS when refreshing logs
    - debian/patches/CVE-2012-2094.patch: interpret logs as text
    - CVE-2012-2094
  * SECURITY UPDATE: fix session fixation and reuse
    - debian/patches/CVE-2012-2144.patch: properly verify existing session and
      also log user out on error
    - CVE-2012-2144

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 02 May 2012 08:19:13 -0500
